%define	name	   kde4-libkexiv2
%define	version	   0.2.0
%define release    %mkrel 0.%revision.1
%define	Summary	   KDE4 library to manipulate EXIF/IPTC information using Exiv2 library
%define oname      libkexiv2
%define realname   kexiv
%define revision   753579

%define	major	   6
%define	libname	   %mklibname %{realname} %major
%define	libnamedev %mklibname %{realname} %major -d

Summary:	   %{Summary}
Name:		   %{name}
Version:	   %{version}
Release:	   %{release}
License:	   GPL
Group: 		   System/Libraries
Source0:           http://prdownloads.sourceforge.net/kipi/libkexiv2-%{version}.%revision.tar.bz2
URL: 		   http://www.kipi-plugins.org
Requires:	   %{libname} = %{version}-%{release}

BuildRequires:     kdelibs4-devel
BuildRequires:     libexiv-devel
%description
Libkexiv2 is a wrapper to Exiv2 library that allow to manipulate 
pictures metadata as EXIF and IPTC.
This library is used by kipi-plugins, digiKam and others kipi 
host programs.

%files
%defattr(-,root,root)

#--------------------------------------------------------------------

%package -n     %{libname}
Summary:        Libraries for %{name}
Group:          System/Libraries

%description -n %{libname}

%{libname} contains %{name} libraries

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(0644, root, root, 0755)
%_kde_libdir/libkexiv2.so.6
%_kde_libdir/libkexiv2.so.6.0.0

#--------------------------------------------------------------------

%package        -n     %{libnamedev}
Summary:	Static libraries and headers for %{name}
Group:		Development/C
Provides:       %{name}-devel = %{version}-%{release}
Requires:	%{libname} = %version-%release

%description  -n     %{libnamedev}

%{libnamedev} contains the libraries and header files needed to
develop programs which make use of %{name}.
The library documentation is available on header files.

%files -n     %{libnamedev}
%defattr(0644, root, root, 0755)
%_kde_includedir/libkexiv2/kexiv2.h
%_kde_includedir/libkexiv2/libkexiv2_export.h
%_kde_includedir/libkexiv2/version.h
%_kde_libdir/libkexiv2.so
%_kde_libdir/pkgconfig/libkexiv2.pc

#--------------------------------------------------------------------

%prep
%setup -q -n %oname-%version

%build
%cmake_kde4
%make

%install
rm -rf %buildroot
cd build
%makeinstall_std


%clean
rm -rf %buildroot


%changelog
* Thu Dec 27 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.2.0-0.753579.1mdv2008.1
+ Revision: 138667
- New snapshot
  Fix devel package name

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 11 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.2.0-0.744262.2mdv2008.1
+ Revision: 117233
- Rebuild for new kdebase

* Fri Dec 07 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.2.0-0.744262.1mdv2008.1
+ Revision: 116267
- add libexiv-devel as BR
- import kde4-libkexiv2


